import { default as IConvert } from './convertInterface';
import { RadialGradient, RadialGradientPosition, Direction, AxiosSelect, StyleVar } from '../type';

export default class RadialGradientConvert implements IConvert<RadialGradient> {
    private lengthConvert;
    private lengthAxiosSelectConvert;
    private constAxiosSelectConvert;
    constructor();
    compare(v1?: RadialGradient, v2?: RadialGradient): boolean;
    toString(value?: RadialGradient, styleVarMap?: Record<string, StyleVar.Desc>): string | undefined;
    isDirectionPosition(position: RadialGradientPosition): position is AxiosSelect<Direction>;
    toStyle(value?: string): RadialGradient | undefined;
}
